<?php
/**
 * JE GroupBuy package
 * @author J-Extension <contact@jextn.com>
 * @link http://www.jextn.com
 * @copyright (C) 2011 - 2012 J-Extension
 * @license GNU/GPL, see LICENSE.php for full license.
**/
defined('JPATH_BASE') or die;

jimport('joomla.html.html');
jimport('joomla.form.formfield');
jimport('joomla.form.helper');
JFormHelper::loadFieldClass('list');

/**
 * Supports an HTML select list of Sortby
 */
class JFormFieldPayment extends JFormFieldList
{
	/**
	 * @var		string	The form field type.
	 */
	public $type = 'payment';

	/**
	 * Method to get the field options.
	 */
	protected function getOptions()
	{
		$options = array();

		$options = array(
			JHTML::_('select.option',  'Paypal'),
			JHTML::_('select.option',  'Authorise.Net'),
			JHTML::_('select.option',  'GoogleCheckout'),
			JHTML::_('select.option',  'CCAvenue'),
			JHTML::_('select.option',  '2CheckOut'),

		);

		return $options;
	}
}